PHP 手册
上一页 |  | 下一页

# PDOStatement->bindValue()

(no version information, might be only in CVS)

PDOStatement->bindValue() -- Binds a value to a parameter

## 说明

class PDOStatement {
bool bindValue ( mixed parameter, mixed value [, int data_type] )
}

Binds a value to a corresponding named or question mark placeholder in the SQL statement that was use to prepare the statement.

## 参数

`parameter`

  Parameter identifier. For a prepared statement using named placeholders, this will be a parameter name of the form `:name`. For a prepared statement using question mark placeholders, this will be the 1-indexed position of the parameter.

`value`

  The value to bind to the parameter.

`data_type`

  Explicit data type for the parameter using the PDO::PARAM_* constants.

## 返回值

如果成功则返回 `TRUE`，失败则返回 `FALSE`。

## 范例

例 1. Execute a prepared statement with named placeholders

`<?php /* Execute a prepared statement by binding PHP variables */ $calories = 150; $colour = 'red'; $sth = $dbh->prepare('SELECT name, colour, calories FROM fruit WHERE calories < :calories AND colour = :colour'); $sth->bindValue(':calories', $calories, PDO::PARAM_INT); $sth->bindValue(':colour', $colour, PDO::PARAM_STR); $sth->execute(); ?>`

例 2. Execute a prepared statement with question mark placeholders

`<?php /* Execute a prepared statement by binding PHP variables */ $calories = 150; $colour = 'red'; $sth = $dbh->prepare('SELECT name, colour, calories FROM fruit WHERE calories < ? AND colour = ?'); $sth->bindValue(1, $calories, PDO::PARAM_INT); $sth->bindValue(2, $colour, PDO::PARAM_STR); $sth->execute(); ?>`

## 参见

PDO->prepare()
PDOStatement->execute()
PDOStatement->bindParam()

上一页 | 起始页 | 下一页
PDOStatement->bindParam() | 上一级 | PDOStatement->closeCursor()